cgGetNamedTechniqueAnnotation(3)

NAME
cgGetNamedTechniqueAnnotation - get a technique annotation by name

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetNamedTechniqueAnnotation( CGtechnique tech,
                                              const char * name );

PARAMETERS

tech
    The technique from which to retrieve the annotation.

name
    The name of the annotation to retrieve.

RETURN VALUES
Returns the named annotation.

Returns NULL if the technique has no annotation corresponding to name.

DESCRIPTION
The annotations associated with a technique can be retrieved directly by name using cgGetNamedTechniqueAnnotation. The names of a technique's annotations can be discovered by iterating through the annotations (see the cgGetFirstTechniqueAnnotation manpage and the cgGetNextAnnotation manpage), calling the cgGetAnnotationName manpage for each one in turn.

EXAMPLES
  /* fetch annotation "Apple" from CGtechnique technique */
  CGannotation ann = cgGetNamedTechniqueAnnotation( technique, "Apple" );

ERRORS
CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

HISTORY
cgGetNamedTechniqueAnnotation was introduced in Cg 1.4.

SEE ALSO
the cgGetFirstTechniqueAnnotation manpage, the cgGetNextAnnotation manpage, the cgGetAnnotationName manpage